﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html" encoding="utf-8" indent="yes"/>

  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml">
      <head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<!--<link rel="stylesheet" type="text/css" media="screen, print" href="default.css"/>-->
        <title><xsl:value-of select="*/internal-name"/></title>
      </head>
      <body>
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="condition">
    <xsl:apply-templates/>
  </xsl:template>
  
  <xsl:template match="internal-name">
    <h1>Condition: <xsl:value-of select="."/></h1>
  </xsl:template>
  
  <xsl:template match="method">
    <h2>Method</h2>
    <p><xsl:value-of select="."/></p>
  </xsl:template>
  
  <xsl:template match="parameters">
    <h2>Parameters</h2>
    <ul>
      <xsl:apply-templates/>
    </ul>
  </xsl:template>
  
  <xsl:template match="object">
    <li>Object</li>
  </xsl:template>
  
</xsl:stylesheet>
